%define version		0.2.7
%define release		1.beam.fc6

Summary:	BEAM and Alpha Data TMS System
Name:		tms
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	GPL
Group:		Applications
Source0:	tms.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The BEAM TMS System implements the trajectory measurement system for the
CERN Proton Synchrotron.

%package -n tms-gui
Summary:	The TMS GUI applications
Group:		Applications
Requires:	tms

%description -n tms-gui
The BEAM and Alpha Data TMS System implements the trajectory measurement system for the
CERN Proton Synchrotron. The TMS GUI applications are GUI test and control
applications for the TMS system.

%prep
%setup -q -n tms

%build
make DEST_DIR=%{buildroot} PREFIX=/usr/tms all

%install
make DEST_DIR=%{buildroot} PREFIX=/usr/tms install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root,-)
%attr(0755,root,root)
/usr/tms/include
/usr/tms/lib
/usr/tms/config
%attr(0755,root,root) /usr/tms/config/tmsSetup
%attr(0755,root,root) /usr/tms/config/tmsSetupModuleController
/usr/tms/bin/bidl
/usr/tms/bin/boapns
/usr/tms/bin/boapnsc
/usr/tms/bin/tmsControl
/usr/tms/bin/tmsPuServer
/usr/tms/bin/tmsServer
/usr/tms/bin/tmsSigGen
/usr/tms/bin/tmsStateGen
/usr/tms/bin/tmsWeb
/usr/tms/stateTables
/usr/tms/data
/usr/tms/tmsExamples
/usr/tms/html
/etc/tmsPuServer.conf
/etc/tmsServer.conf
/etc/tmsWeb.conf
/etc/rc.d/init.d/boapns
/etc/rc.d/init.d/tmsServer
/etc/rc.d/init.d/tmsWeb
/etc/profile.d/tms.sh

%files -n tms-gui
%defattr(-,root,root,-)
%attr(0755,root,root)
/usr/tms/bin/tmsControlGui
/usr/tms/bin/tmsSigGenGui
/usr/share/icons/tmsControlGui.png
/usr/share/icons/tmsSigGen.png
/usr/share/applications/tmsSigGen.desktop
/usr/share/applications/tmsControlGui.desktop

%changelog
* Thu Feb 22 2007 BEAM Ltd
- Initial RPM release.

